Package com.google.gwt.uibinder.elementparsers

## Class HtmlPlaceholderInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter
  - - com.google.gwt.uibinder.elementparsers.HtmlPlaceholderInterpreter

- All Implemented Interfaces:
    `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`, `com.google.gwt.uibinder.rebind.XMLElement.PostProcessingInterpreter<java.lang.String>`
  Direct Known Subclasses:
    `WidgetPlaceholderInterpreter`

      class HtmlPlaceholderInterpreter
      extends com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter

  Interprets the interior of an html message. Extends the basic PlaceholderInterpreter to handle dom elements with field names and computed attributes--basically any dom attribute that cannot live in a static value and so must be wrapped in a placeholder. (Note that the interior of such an element is processed with a recursive call to `XMLElement.consumeInnerHtml(com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>)`.)

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter

      `message, tokenator, uiWriter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HtmlPlaceholderInterpreter​(com.google.gwt.uibinder.rebind.UiBinderWriter writer, com.google.gwt.uibinder.rebind.messages.MessageWriter message, java.lang.String ancestorExpression)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `consumePlaceholderInnards​(com.google.gwt.uibinder.rebind.XMLElement elem)` |
    `java.lang.String` | `interpretElement​(com.google.gwt.uibinder.rebind.XMLElement elem)` | Given an XMLElement, return its filtered value.
    `protected java.lang.String` | `nextClosePlaceholder​(java.lang.String name, java.lang.String value)` | Returns the `PlaceholderInterpreter.nextPlaceholder(String, String, String)`, using the given `name` and `value` and a standard closing tag as example text.
    `protected java.lang.String` | `nextOpenPlaceholder​(java.lang.String name, java.lang.String value)` | Returns the `PlaceholderInterpreter.nextPlaceholder(String, String, String)`, using the given `name` and `value` and a standard opening tag as example text.

    - ### Methods inherited from class com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter

      `nextPlaceholder, postProcess, stripTokens`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlPlaceholderInterpreter

          HtmlPlaceholderInterpreter​(com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                                     com.google.gwt.uibinder.rebind.messages.MessageWriter message,
                                     java.lang.String ancestorExpression)

  - ### Method Detail

    - #### interpretElement

          public java.lang.String interpretElement​(com.google.gwt.uibinder.rebind.XMLElement elem)
                                            throws UnableToCompleteException

      Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
      Given an XMLElement, return its filtered value.
      Specified by:
        `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
      Overrides:
        `interpretElement` in class `com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter`
      Throws:
        `UnableToCompleteException` - on error

    - #### consumePlaceholderInnards

          protected java.lang.String consumePlaceholderInnards​(com.google.gwt.uibinder.rebind.XMLElement elem)
                                                        throws UnableToCompleteException

      Specified by:
        `consumePlaceholderInnards` in class `com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter`
      Throws:
        `UnableToCompleteException`

    - #### nextClosePlaceholder

          protected java.lang.String nextClosePlaceholder​(java.lang.String name,
                                                          java.lang.String value)

      Returns the `PlaceholderInterpreter.nextPlaceholder(String, String, String)`, using the given `name` and `value` and a standard closing tag as example text.

    - #### nextOpenPlaceholder

          protected java.lang.String nextOpenPlaceholder​(java.lang.String name,
                                                         java.lang.String value)

      Returns the `PlaceholderInterpreter.nextPlaceholder(String, String, String)`, using the given `name` and `value` and a standard opening tag as example text.